#!/usr/bin/env python
#
# Copyright (c) 2016-2017, Parallels International GmbH
#
# This file is part of disp-helper. It's free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Our contact details: Parallels International GmbH, Vordergasse 59, 8200
# Schaffhausen, Switzerland.
#

import json
import os
import sys


def main():
    try:
        results = [f for f in os.listdir(sys.argv[1])
               if (os.path.isfile(os.path.join(sys.argv[1], f))
                   and os.path.splitext(f)[1] == ".json")]
    except:
        results = []

    output = dict()
    for file in results:
        (name, ext) = os.path.splitext(file)
        with open(os.path.join(sys.argv[1], file)) as f:
            output[name] = json.load(f)

    with open(sys.argv[3], "w") as f:
        json.dump(output, f)


if __name__ == "__main__":
    main()
